Name:          python-olpcgames
Version:       1.6
Release:       21%{?dist}
Summary:       Utilities for developing games on the OLPC platform
License:       BSD
URL:           http://wiki.laptop.org/go/OLPCGames
Source0:       http://dev.laptop.org/~mcfletch/OLPCGames/OLPCGames-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python2-setuptools


%global _description\
This python package contains various resources and utility classes for making\
games on the OLPC system. Specifically it enables using PyGame in the Sugar\
environment.

%description %_description

%package -n python2-olpcgames
Summary: %summary
Requires:       python2-pygame
%{?python_provide:%python_provide python2-olpcgames}

%description -n python2-olpcgames %_description

%prep
%setup -q -n OLPCGames-%{version}


%build
export DISPLAY=:0.0
%py2_build


%install
export DISPLAY=:0.0
%py2_install

# remove shebang to calm rpmlint down
sed -i -e 1d $RPM_BUILD_ROOT%{python2_sitelib}/olpcgames/buildmanifest.py


%files -n python2-olpcgames
%license olpcgames/COPYING
%doc NEWS
%{python2_sitelib}/*


%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.6-17
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6-16
- Python 2 binary package renamed to python2-olpcgames
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-13
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Dec 24 2009 Sebastian Dziallas <sebastian@when.com> - 1.6-3
- make sure to use dist tag

* Thu Dec 14 2009 Sebastian Dziallas <sebastian@when.com> - 1.6-2
- fix issues according to review

* Sun Dec 13 2009 Sebastian Dziallas <sebastian@when.com> - 1.6-1
- update to version 1.6
- spec file cleanups

* Wed Aug 01 2007 Noah Kantrowitz <noah@laptop.org> - 1.0-0.0.20070801git4ab726
- Initial version of this spec.
